org.apache.tomcat.dbcp.dbcp2

## Class Constants

- java.lang.Object
- - org.apache.tomcat.dbcp.dbcp2.Constants

-     public class Constants
      extends Object

  Constants for use with JMX.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JMX_CONNECTION_BASE_EXT`
    `static String` | `JMX_CONNECTION_POOL_BASE_EXT`
    `static String` | `JMX_CONNECTION_POOL_PREFIX`
    `static String` | `JMX_STATEMENT_POOL_BASE_EXT`
    `static String` | `JMX_STATEMENT_POOL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMX_CONNECTION_POOL_BASE_EXT

          public static final String JMX_CONNECTION_POOL_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_CONNECTION_POOL_PREFIX

          public static final String JMX_CONNECTION_POOL_PREFIX

      See Also:
        Constant Field Values

    - #### JMX_CONNECTION_BASE_EXT

          public static final String JMX_CONNECTION_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_STATEMENT_POOL_BASE_EXT

          public static final String JMX_STATEMENT_POOL_BASE_EXT

      See Also:
        Constant Field Values

    - #### JMX_STATEMENT_POOL_PREFIX

          public static final String JMX_STATEMENT_POOL_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.